/// <reference types="react" />
import { Layouts } from "react-grid-layout";
import ColumnChartComponent from "./ChartsComponents/ColumnChartComponent";
import { ReactWidgetPM } from "../../types/widget";
import { DataPointSelection } from "../../types/SeriesMeasure";
declare type DashboardDesignerProps = {
    editMode: boolean;
    dashboardLayouts: {
        lg: ReactWidgetPM[];
    };
    openEditWidget: (widget: ReactWidgetPM) => void;
    onLayoutChange: (layouts: Layouts) => void;
    onSelectDataPoint: (dataPointSelection: DataPointSelection) => void;
};
declare const DashboardDesigner: (props: DashboardDesignerProps) => JSX.Element;
export declare const layoutGridProps: {
    rowHeight: number;
    className: string;
    cols: {
        lg: number;
        md: number;
        sm: number;
        xs: number;
        xxs: number;
    };
    useCSSTransforms: boolean;
};
export declare const WidgetTypes: {
    Name: string;
    Disabled: boolean;
}[];
export declare const widgetComponents: {
    type: string;
    component: typeof ColumnChartComponent;
}[];
export default DashboardDesigner;
